// ReceiveWindow.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "BigNumber.h"
#include "ReceiveWindow.h"
#include "disto2.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CReceiveWindow

CReceiveWindow::CReceiveWindow()
{
	m_pDisplay = NULL;
	m_pDisto = NULL;
	m_pDisplayDiff = NULL;
	m_p2ndValue = NULL;
	m_dOffset = 0.;
	m_dValue = 0.;
}

CReceiveWindow::~CReceiveWindow()
{
}


BEGIN_MESSAGE_MAP(CReceiveWindow, CWnd)
	//{{AFX_MSG_MAP(CReceiveWindow)
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CReceiveWindow 

void CReceiveWindow::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if(m_pDisto && m_pDisplay)
	{
		IDistoMeasureProxy aMeasurement(m_pDisto->GetLastMeasurement());
		if(aMeasurement.IsValid())
		{
			m_dValue = aMeasurement.Value();
			CString aString;
			aString.Format("%.3f",GetCorrectedValue());
			m_pDisplay->SetText(aString);

			if(m_p2ndValue && m_pDisplayDiff)
			{
				aString.Format("%.3f",GetCorrectedValue() - m_p2ndValue->GetCorrectedValue());
				m_pDisplayDiff->SetText(aString);

			}
		}
	}
}

void CReceiveWindow::Create()
{
	CreateEx(	0,								//	dwExStyle
				NULL,							//	lpszClassName
				"Receive",						//	lpszWindowName
				0,								//	dwStyle			
				0,0,0,0,						//	x, y, nWidth, nHeight
				NULL,							//	hwndParent
				0,								//	nIDorHMenu
				NULL);							//	lpParam 
}

