///////////////////////////////////////////////////////////////////////////////
//
//  Datei : Sample1Dlg.h
//  Autor : Harald Krause PMS AG
//  Zweck : Sample DISTO online Automatisation Interface C++
//
///////////////////////////////////////////////////////////////////////////////
//
//  Beschreibung
//
//
///////////////////////////////////////////////////////////////////////////////
//
//  Revisionsgeschichte
//
//  ## YY-MM-DD by Kommentar
//  --+--+--+--+--+------------------------------------------------------------
//  00 02-04-09 HK start
///////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_SAMPLE1DLG_H__DFF01C37_6530_4C5A_8903_64CE87746DE4__INCLUDED_)
#define AFX_SAMPLE1DLG_H__DFF01C37_6530_4C5A_8903_64CE87746DE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxdisp.h>
#include "Disto2.h"

/////////////////////////////////////////////////////////////////////////////
// CSample1Dlg Dialogfeld

class CSample1Dlg : public CDialog
{
// Konstruktion
public:
	CSample1Dlg(CWnd* pParent = NULL);	// Standard-Konstruktor

	bool			m_bDistoOnlineStarted;
	

// Dialogfelddaten
	//{{AFX_DATA(CSample1Dlg)
	enum { IDD = IDD_SAMPLE1_DIALOG };
	CString	m_CStringDistoSerialNumber;
	CString	m_CStringResult;
	int		m_iTimeout;
	CString	m_CStringUnlockCode;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CSample1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

	void			UpdateControls();
	
// Implementierung
protected:
	HICON			m_hIcon;
	IDisto2			m_DistoApplication;
	
	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CSample1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonLaserOn();
	afx_msg void OnButtonLaserOff();
	afx_msg void OnButtonFindDisto();
	afx_msg void OnButtonRegister();
	afx_msg void OnButtonSingleMeasurement();
	afx_msg void OnCheckVisible();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_SAMPLE1DLG_H__DFF01C37_6530_4C5A_8903_64CE87746DE4__INCLUDED_)
